//
//  AppDelegate.m
//  MakeupMirror
//
//  Created by David Phillip Oster on 3/17/09.
//  Copyright 2009 David Phillip Oster. All rights reserved.
//

#import "AppDelegate.h"
#import "MirrorView.h"


@implementation AppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)notification {
}

- (void)applicationWillTerminate:(NSNotification *)notification {
}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender {
  return YES;
}

- (BOOL)application:(NSApplication *)sender delegateHandlesKey:(NSString *)key {
  static NSSet *sKeySet = nil;
  if (nil == sKeySet) {
    sKeySet = [[NSSet alloc] initWithObjects:
      @"magnifyOn",
      @"timeDelayOn",
      @"pauseOn",
      @"videoOn",
      nil];
  }
  return [sKeySet containsObject:key];
}

// ## Applescript interface 
- (BOOL)magnifyOn {
  return [mirrorView_ magnifyOn];
}

- (void)setMagnifyOn:(BOOL)magnifyOn {
  [mirrorView_ setMagnifyOn:magnifyOn];
}


- (BOOL)timeDelayOn {
  return [mirrorView_ timeDelayOn];
}

- (void)setTimeDelayOn:(BOOL)timeDelayOn {
  [mirrorView_ setTimeDelayOn:timeDelayOn];
}


- (BOOL)pauseOn {
  return [mirrorView_ pauseOn];
}

- (void)setPauseOn:(BOOL)pauseOn {
  [mirrorView_ setPauseOn:pauseOn];
}

- (BOOL)videoOn {
  return [mirrorView_ videoOn];
}



@end
