//
//  MirrorView.h
//  MakeupMirror
//
//  Created by David Phillip Oster on 3/17/09.
//  Copyright 2009 David Phillip Oster. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTkit.h>
#import <QuartzCore/QuartzCore.h>

@class AppDelegate;
@class CursorShielder;
@class Fifo;

@interface MirrorView : QTCaptureView {
  CursorShielder        *shield_;
  QTCaptureSession      *captureSession_;
  QTCaptureDeviceInput  *videoInput_;
  QTCaptureVideoPreviewOutput *videoOutput_;

  NSLock                *lock_;
  CVImageBufferRef      frameBuffer_;
  CIImage               *pausedImage_;

  // of CIImage, for TimeDelay.
  Fifo                  *history_;

  // if non nil, periodically attempt to reconnect to camera.
  NSTimer               *connectTimer_;

  NSURL                 *saveURL_;
  NSArray               *toolBarIDs_;

   // if non nil, delaying until we can turn on timedelay.
  NSTimer               *timeDelayPending_;

	BOOL  isMagnifying_;
	BOOL  isPaused_;
	BOOL  isTimeDelaying_;
  BOOL  didClose_;
}

// ## Attributes
- (BOOL)magnifyOn;
- (void)setMagnifyOn:(BOOL)magnifyOn;

- (BOOL)timeDelayOn;
- (void)setTimeDelayOn:(BOOL)timeDelayOn;

- (BOOL)pauseOn;
- (void)setPauseOn:(BOOL)pauseOn;

- (BOOL)videoOn;

// ## Actions

- (IBAction)saveDocument:(id)sender;

- (IBAction)saveDocumentAs:(id)sender;

- (IBAction)toggleMagnify:(id)sender;

- (IBAction)togglePause:(id)sender;

- (IBAction)toggleTimeDelay:(id)sender;

@end
