//
//  MirrorWindow.m
//  MakeupMirror
//
//  Created by David Phillip Oster on 3/17/09.
//  Copyright 2009 David Phillip Oster. All rights reserved.
//
#import "MirrorWindow.h"

@implementation MirrorWindow

- (BOOL)validateUserInterfaceItem:(NSObject<NSValidatedUserInterfaceItem> *)menuItem {
  SEL sel = [menuItem action];
  if (sel == @selector(toggleToolbarShown:)) {
    if ([menuItem respondsToSelector:@selector(setState:)]) {
      NSToolbar *toolBar = [self toolbar];
      [(NSMenuItem *)menuItem setState:[toolBar isVisible]];
    }
    return YES;
  } else if (sel == @selector(undo:) ||
    sel == @selector(redo:)) {

    return NO;
  }
  if ([[super class] instancesRespondToSelector:@selector(validateUserInterfaceItem:)]) {
    return [(id)super validateUserInterfaceItem:menuItem];
  }
  return YES;
}

@end
